package cz.moneta.test.dsl.hypos.components;

import cz.moneta.test.dsl.hypos.pages.HyposMainPage;
import cz.moneta.test.dsl.hypos.pages.structure.*;
import cz.moneta.test.harness.support.web.Builder;
import cz.moneta.test.harness.support.web.Click;

public interface StructureMenu extends Builder {
    String BACK_BUTTON = "//a[contains(@href,'cmd=main')]";

    String DRAW_POSTPONED_LINK = "//a[text()='Odložená čerpání']";
    String DRAW_LINK = "//a[text()='Čerpání']";
    String UW2_LINK = "//a[text()='Stav obchodů UW2']";
    String DOCS_VERIFICATION_LINK = "//a[text()='Elektronická verifikace dokumentů']";
    String APPRAISEMENT_FEE_LINK = "//a[text()='Poplatek za posouzení vhodnosti zástavy']";
    String LETTER_LINK = "//a[text()='Tisková linka']";
    String PPD_LINK = "//a[text()='PPD']";
    String UW1_LINK = "//a[text()='Fronta UW1']";
    String OPUS_LINK = "//a[text()='OPUS III']";
    String PKTU_LINK = "//a[text()='PKTÚ']";
    String CADASTER_REQUESTS_LINK = "//a[text()='Požadavky v KN']";
    String CLIENT_CHANGE_LINK = "//a[text()='Změny po podpisu smlouvy']";
    String FINANCIAL_EXCEPTION_LINK = "//a[text()='Výjimky z financí']";
    String END_OF_WORK_LINK = "//a[text()='KONEC PRÁCE']";

    @Click(BACK_BUTTON)
    StructurePage clickBackButton();

    @Click(DRAW_POSTPONED_LINK)
    StructureDrawPostponedPage clickDrawPostponed();

    @Click(DRAW_LINK)
    StructureDrawPage clickDraw();

    @Click(UW2_LINK)
    StructureUw2Page clickUw2();

    @Click(DOCS_VERIFICATION_LINK)
    StructureDocsVerificationPage clickDocsVerification();

    @Click(APPRAISEMENT_FEE_LINK)
    StructureAppraisementFeePage clickAppraisementFee();

    @Click(LETTER_LINK)
    StructureLetterPage clickLetter();

    @Click(PPD_LINK)
    StructurePpdPage clickPpd();

    @Click(UW1_LINK)
    StructureUw1Page clickUw1();

    @Click(OPUS_LINK)
    StructureOpusPage clickOpus();

    @Click(PKTU_LINK)
    StructurePktuPage clickPktu();

    @Click(CLIENT_CHANGE_LINK)
    StructureClientChangePage clickClientChange();

    @Click(FINANCIAL_EXCEPTION_LINK)
    StructureFinancialExceptionPage clickFinancialException();

    @Click(END_OF_WORK_LINK)
    HyposMainPage clickEndOfWork();
}